Results 1 to 5 of 5

Thread: openoffice 3.1 sdk from yast

  1. #1

    Default openoffice 3.1 sdk from yast

    Hello,
    in few weeks ago i upgraded openoffice from 3.0 to 3.1 . but now it seems the upgrade didn't find an sdk for ooo 3.1 . where can i locate ooo 3.1 sdk using Yast?
    the ooo 3.1 version is giving me real headaches . is there an easy method to revert to ooo 3.0 or even to previous versions like ooo 2.4 using opensuse 11.1 Yast?
    i have the repository for stable openoffice for opensuse 11.1 enabled ,but i can't find ooo 3.1 sdk .

    any help setting my ooo and ooo sdk e system is much appreciated.
    thanks

  2. #2
    Join Date
    Oct 2008
    Location
    North Wales, UK
    Posts
    1,114

    Default Re: openoffice 3.1 sdk from yast

    To go back to an older version using yast>software:
    Filter on openoffice and installed It should give you a choice of what's available.
    Choose the older version and downgrade.

  3. #3

    Default Re: openoffice 3.1 sdk from yast

    Quote Originally Posted by whych View Post
    To go back to an older version using yast>software:
    Filter on openoffice and installed It should give you a choice of what's available.
    Choose the older version and downgrade.
    Yast give no indication of what openoffice version we can choose from. it just offer to install/update the latest 3.1 . i use OOo repo (URL: Index of /repositories/OpenOffice.org:/STABLE/openSUSE_11.1) . it seems this repo only has version 3.1 or am i wrong? what are the repositories of openoffice that contains older ooo versions like 2.x and 3.0 ?

    thanks much

  4. #4
    Join Date
    Oct 2008
    Location
    North Wales, UK
    Posts
    1,114

    Default Re: openoffice 3.1 sdk from yast

    3.0 is the default install for opensuse 11.1, so to go back to 3.0, you need to choose Index of /distribution/11.1/repo/oss/suse/x86_64 or the install disc as your repository.

  5. #5

    Default Re: openoffice 3.1 sdk from yast

    I managed to install the OOo 3.1 SDK.
    however there is a problem which causing me real headaches !

    I use Netbeans IDE to develop a openoffice java Addon. I set my java OOo addon project to use same JDK 6 used when installing OOo 3.1
    in openoffice ->options-Java it is set to use JDK 6.
    now when i run my OOo from netbeans IDE i get this evil error message : defective java runtime!

    below is also the debug log from netbeans when running the OOo addon application.

    can someone point me whet could be this problem about? i did't get this problem before ,but i guess when i upgraded to OOo 3.1 from OOo3.0 i no more can run my openoffice addon from netbeans.
    any help is much appreciated.

    ------------------------
    Code:
    debugging UNO extension package ...
    /usr/lib/ooo3/program/unopkg gui -f /home/othman/NetBeansProjects/trunc/dist/OOoSugarAddOn_0.1.oxt
    starting the Office with ...
    user installation: file:///home/othman/NetBeansProjects/trunc/build/soffice_debug
    debug options:     "-Xdebug" "-Xrunjdwp:transport=dt_socket,address=linux-6wbu:34103"
    /usr/lib/ooo3/program/soffice
    Picked up JAVA_TOOL_OPTIONS: "-Xdebug" "-Xrunjdwp:transport=dt_socket,address=linux-6wbu:34103"
    ERROR: transport error 202: connect failed: Connection refused
    ERROR: JDWP Transport dt_socket failed to initialize, TRANSPORT_INIT(510)
    JDWP exit error AGENT_ERROR_TRANSPORT_INIT(197): No transports initialized [../../../src/share/back/debugInit.c:708]
    FATAL ERROR in native method: JDWP No transports initialized, jvmtiError=AGENT_ERROR_TRANSPORT_INIT(197)
    JavaVM: JNI_CreateJavaVM called _exit, caught by abort_handler in javavm.cxx
    [Java framework] sunjavaplugin.soCan not create JavaVirtualMachine, abort handler was called.
    [Java framework] sunjavaplugin.soCan not create Java Virtual Machine
    [Java framework] sunjavaplugin.soCan not create Java Virtual Machine
    uno-debug:

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •